Index: code/trunk/data/defaultConfig/keybindings.ini
===================================================================
--- code/trunk/data/defaultConfig/keybindings.ini	(revision 10297)
+++ code/trunk/data/defaultConfig/keybindings.ini	(revision 10622)
@@ -142,5 +142,5 @@
 KeyWebStop=
 KeyX="selectClosest"
-KeyY=
+KeyY="onpress fire 4"
 KeyYen=
 KeyZ="selectNext"
Index: code/trunk/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/MultiplayerMenu.lua	(revision 10297)
+++ code/trunk/data/gui/scripts/MultiplayerMenu.lua	(revision 10622)
@@ -70,5 +70,5 @@
     if choice then
         local index = tolua.cast(choice, "CEGUI::ListboxItem"):getID()
-        destination = P.serverList[index][2]
+        destination = P.serverList[index][1]
     else
         return
@@ -93,4 +93,6 @@
         local servername = ""
         local serverip = ""
+        local serverrtt = ""
+        local playernumber = ""
         while true do
             servername = discovery:getServerListItemName(index)
@@ -102,10 +104,13 @@
                 break
             end
-            table.insert(P.serverList, {servername, serverip})
+            --serverrtt = discovery:getServerListItemRTT(index)
+            playernumber = discovery:getServerListItemPlayerNumber(index)
+
+            table.insert(P.serverList, {serverip, servername, playernumber})
             index = index + 1
         end
         index = 1
         for k,v in pairs(P.serverList) do
-            local item = CEGUI.createListboxTextItem( v[1] .. ": " .. v[2] )
+            local item = CEGUI.createListboxTextItem("IP: " .. v[1] .. " Name: " .. v[2] .. " Players: " .. v[3])
             item:setID(index)
             index = index + 1
@@ -125,4 +130,6 @@
         local servername = ""
         local serverip = ""
+        local serverrtt = ""
+        local playernumber = ""
         while true do
             servername = discovery:getServerListItemName(index)
@@ -134,10 +141,13 @@
                 break
             end
-            table.insert(P.serverList, {servername, serverip})
+            --serverrtt = discovery:getServerListItemRTT(index)
+            playernumber = discovery:getServerListItemPlayerNumber(index)
+
+            table.insert(P.serverList, {serverip, servername, playernumber})
             index = index + 1
         end
         index = 1
         for k,v in pairs(P.serverList) do
-            local item = CEGUI.createListboxTextItem( v[1] .. ": " .. v[2] )
+            local item = CEGUI.createListboxTextItem("IP: " .. v[1] .. " Name: " .. v[2] .. " Players: " .. v[3])
             item:setID(index)
             index = index + 1
@@ -150,3 +160,2 @@
 
 return P
-
Index: code/trunk/data/gui/scripts/presentation.lua
===================================================================
--- code/trunk/data/gui/scripts/presentation.lua	(revision 10622)
+++ code/trunk/data/gui/scripts/presentation.lua	(revision 10622)
@@ -0,0 +1,37 @@
+-- Set some test variables
+x0 = 0
+y0 = 500
+z0 = 500
+
+xo = 2000 
+yo = 0
+zo = 0
+
+x1 = 3000
+y1 = 0 
+z1 = 0
+
+x2 = 2000
+y2 = 2000 
+z2 = 0
+
+-- Get a local pointer to a scriptcontroller
+local ctrl = orxonox.ScriptController:getScriptController()
+
+-- If it worked, call its "movetoposition" function
+if ctrl ~= nil then
+
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("chl", x0, y0, z0, xo, yo, zo, 2)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("mal", x2, y2, z2, xo, yo, zo, 2)
+  ctrl:eventScheduler("mal", x1, y1, z1, xo, yo, zo, 2)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("ral", xo, yo, zo, 3, 1000, 0, 5)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("ral", xo, yo, zo, 2, 1000, 0, 5)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("ral", xo, yo, zo, 1, 1000, 0, 5)
+  ctrl:eventScheduler("idle", 1)
+
+end
Index: code/trunk/data/gui/scripts/testscript.lua
===================================================================
--- code/trunk/data/gui/scripts/testscript.lua	(revision 10297)
+++ code/trunk/data/gui/scripts/testscript.lua	(revision 10622)
@@ -22,71 +22,19 @@
 -- If it worked, call its "movetoposition" function
 if ctrl ~= nil then
-  -- Move to the starting point at (xl+3000,yl,zl) while looking 
-  -- at xl,yl,zl over the time span of 3 seconds
-  ctrl:eventScheduler("mal", xl+3000,yl,zl, xl,yl,zl, 1, 0)
 
-  -- From there, perform a rotation around the harvester placed there
-  -- in 100 steps
-  dt = math.pi/100
-  for t = 0,math.pi,dt do
-    xt = math.cos(t)
-    yt = math.sin(t)
-
-    ctrl:eventScheduler("mal", xl+3000*xt, yl+3000*yt, zl, xl, yl, zl, dt, t+0.9)
-  end
-
-
-  -- Update absolute time
-  Tabs = math.pi + 0.9
-
-  
-
-  -- Move away again, still looking at the station
-  ctrl:eventScheduler("mal", 0,0,1000, xl,yl,zl, 3, Tabs+0.4)
-
-
-
-  -- Update absolute time
-  Tabs = Tabs + 0.4 + 3
-
-  
-
-  
-
-  -- Transition the look from (xl,yl,zl) to (3500,0,0) in 3 seconds
-  ctrl:eventScheduler("chl", xl, yl, zl, xr, yr, zr, 2, Tabs+0.2)
-
-  Tabs = Tabs + 2 + 0.2
-
-   ctrl:eventScheduler("mal", xr + 600,yr,zr, xr,yr,zr, 4, Tabs+0)
-
-   Tabs = Tabs + 4 
-
-  for t = 0,math.pi,dt do
-    xt = math.cos(t)
-    zt = math.sin(t)
-
-    ctrl:eventScheduler("mal", xr+600*xt, yr, zr+600*zt, xr, yr, zr, dt, Tabs+t)
-  end
-
-  Tabs = Tabs + math.pi
-
-  ctrl:eventScheduler("chl", xr, yr, zr, xl, yl, zl, 3, Tabs+0.2)
-
-  Tabs = Tabs + 3 + 0.2
-
-  ctrl:eventScheduler("mal", xm,ym,zm, xl,yl,zl, 4, Tabs+2.5)
-
+  ctrl:eventScheduler("mal", xl,yl,zl, xl,yl,zl, 2)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("ral", xl, yl, zl, 3, 3000, 0, math.pi)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("mal", 0,0,1000, xl,yl,zl, 3)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("chl", xl, yl, zl, xr, yr, zr, 2)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("mal", xr + 600,yr,zr, xr,yr,zr, 4)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("chl", xr, yr, zr, xl, yl, zl, 3)
+  ctrl:eventScheduler("idle", 1)
+  ctrl:eventScheduler("spi", xm,ym,zm, 0,0,0, 4)
+  ctrl:eventScheduler("idle", 1)
 
 end
-
-
-
--- Output the newctrlid variable we set from the C++ code
-if newctrlid ~= nil then
-  orxonox.execute("orxout message test " .. newctrlid)
-end
-
---orxonox.execute("setPause 1")
-
-
Index: code/trunk/data/levels/clangenb.oxw
===================================================================
--- code/trunk/data/levels/clangenb.oxw	(revision 10622)
+++ code/trunk/data/levels/clangenb.oxw	(revision 10622)
@@ -0,0 +1,55 @@
+<LevelInfo
+ name = "clangenb"
+ description = "A level with absolutely nothing in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipHeartAttack.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipHeartAttack />
+    <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" radarname="Pirate">
+                            <events>
+                                <visibility>
+                                    <EventListener event="boxtrigger4" />
+                                </visibility>
+                            </events>
+                    <templates>
+                      <Template link=spaceshippirate />
+                    </templates>
+                    <controller>
+                      <WaypointController team=1>
+                         <waypoints>
+                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-200" />
+                          <Model mesh="cube.mesh" scale=8 position="  0,1700,-700" />
+                          <Model mesh="cube.mesh" scale=8 position="500,1700,-700" />
+                          <Model mesh="cube.mesh" scale=8 position="500,1700,-200" />
+                       </waypoints>
+                    </WaypointController>
+                  </controller>
+                </SpaceShip>
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 10297)
+++ code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 10622)
@@ -25,4 +25,5 @@
           </attached>
           <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" muzzleoffset="2,-0.2,-1" />
           <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
@@ -39,5 +40,5 @@
         </Weapon>
         <Weapon>
-          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
           <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
         </Weapon>
Index: code/trunk/data/levels/includes/weaponSettingsFS15.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsFS15.oxi	(revision 10622)
+++ code/trunk/data/levels/includes/weaponSettingsFS15.oxi	(revision 10622)
@@ -0,0 +1,51 @@
+<weaponslots>
+  <WeaponSlot position=" 0, 0, 0" />
+  <WeaponSlot position=" 0, 0, 0" />
+  <WeaponSlot position=" 0, 0, 0" />
+  <WeaponSlot position=" 0, 0, 0" />
+</weaponslots>
+<weaponsets>
+  <WeaponSet firemode=0 />
+  <WeaponSet firemode=1 />
+  <WeaponSet firemode=2 />
+  <WeaponSet firemode=3 />
+  <WeaponSet firemode=4 />
+</weaponsets>
+<weapons>
+  <WeaponPack>
+    <links>
+      <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+      <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+      <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+      <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+      <DefaultWeaponmodeLink firemode=4 weaponmode=4 />
+    </links>
+    <Weapon>
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+      <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+      <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+    </Weapon>
+    <Weapon>
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+      <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+      <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+    </Weapon>
+    <Weapon>
+      <LaserFire mode=1 munitionpershot=0 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
+      <LaserFire mode=1 munitionpershot=0 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
+      <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+      <RocketFireOld mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+      <RocketFire mode=4 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+    </Weapon>
+  </WeaponPack>
+  <WeaponPack>
+    <links>
+      <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+    </links>
+    <!--Weapon>
+      <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+    </Weapon-->
+  </WeaponPack>
+</weapons>
Index: code/trunk/data/levels/includes/weaponSettingsHeartAttack.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10622)
+++ code/trunk/data/levels/includes/weaponSettingsHeartAttack.oxi	(revision 10622)
@@ -0,0 +1,50 @@
+    <weaponslots>
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+      <WeaponSlot position=" 0, 0, 0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 11.4, 0, -5" />
+        </Weapon>
+        <Weapon>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" -15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 15, 1.6, -2" />
+        </Weapon>
+        <Weapon>
+          <LaserFire mode=1 munitionpershot=0 muzzleoffset="2.2,6,16" damage=30 shielddamage=20 />
+          <LaserFire mode=1 munitionpershot=0 muzzleoffset="-2.2,6,16" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <GravityBombFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+        <!--Weapon>
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+        </Weapon-->
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponSettingsRing.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsRing.oxi	(revision 10622)
+++ code/trunk/data/levels/includes/weaponSettingsRing.oxi	(revision 10622)
@@ -0,0 +1,22 @@
+<weaponslots>
+  <WeaponSlot position="11,0,-7" />
+  <WeaponSlot position="-11,0,-7" />
+</weaponslots>
+<weaponsets>
+  <WeaponSet firemode=0 />
+  <WeaponSet firemode=1 />
+</weaponsets>
+<weapons>
+  <WeaponPack>
+    <links>
+      <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+      <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+    </links>
+    <Weapon>
+      <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.4,-3" projectileMesh="LaserBeam2.mesh" />
+    </Weapon>
+    <Weapon>
+      <HsW01 mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset="0.1, 1.4, -3" projectileMesh="LaserBeam2.mesh" />
+    </Weapon>
+  </WeaponPack>
+</weapons>
Index: code/trunk/data/levels/presentationFS15.oxw
===================================================================
--- code/trunk/data/levels/presentationFS15.oxw	(revision 10622)
+++ code/trunk/data/levels/presentationFS15.oxw	(revision 10622)
@@ -0,0 +1,103 @@
+<LevelInfo
+ name = "Presentation FS15"
+ description = "Level for Presentation."
+ tags = "presentation"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipRing.oxt")
+  include("templates/spaceshipFS15.oxt")
+  include("templates/orbStation.oxt")
+  include("templates/spaceshipSwallow.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-500,0,0" lookat="-1000,0,0" spawnclass=SpaceShip pawndesign=spaceshipfs15/>
+
+    <?lua for i=0,4,1 do ?>
+      <SpaceShip position="-3000,<?lua print(i*200)?>,0" lookat="-500,0,0" visible="true">
+        <templates>
+          <Template link=spaceshipswallow />
+        </templates>
+      </SpaceShip>
+    <?lua end ?>
+
+
+    <!-- Docking  -->
+    <Dock position="-2000,0,-1000" roll=0 yaw=0 >
+      <attached>
+        <Billboard position="0,0,0" material="Alien" scale=5/>
+        <DistanceTrigger position="0,0,0" distance="200" target="Pawn" beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"/>
+      </attached>
+      <animations>
+        <MoveToDockingTarget target="destroyer" />
+      </animations>
+      <effects>
+        <DockToShip target="destroyer" />
+      </effects>
+      <events>
+        <execute>
+          <EventListener event="dockMe" />
+        </execute>
+      </events>
+    </Dock>
+
+    <SpaceShip position="0,0,0" lookat="0,1000,1000" >
+      <attached>
+        <DistanceTriggerBeacon name="bcnDestroyer" />
+        <DockingTarget name="destroyer" />
+      </attached>
+      <templates>
+        <Template link=spaceshipring />
+      </templates>
+      <events>
+        <visibility>
+          <EventListener event="dockMe" />
+        </visibility>
+      </events>
+    </SpaceShip>
+
+    <MovableEntity position="2000,0,0" >
+      <templates>
+        <Template link=orbStation/>
+      </templates>
+      <events>
+        <visibility>
+          <EventListener event="dockMe" />
+        </visibility>
+      </events>
+    </MovableEntity>
+
+    <Billboard position="0,500,500" material="Flares/ringflare2" colour="0.8,0.4,0.2" scale=1 />
+    <DistanceTrigger position="0,500,500" distance="20" target="Pawn" name="takeControl"/>
+    
+    <ControllerDirector position="0,500,500" scriptname="presentation">
+      <events>
+        <takeControl>
+          <EventListener event="takeControl" />
+        </takeControl>
+      </events>
+    </ControllerDirector>
+
+
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/scriptController.oxw
===================================================================
--- code/trunk/data/levels/scriptController.oxw	(revision 10297)
+++ code/trunk/data/levels/scriptController.oxw	(revision 10622)
@@ -1,6 +1,6 @@
 <!-- First levelFile of mkronig and samuezu. It was copied from dockingToASpaceStation.oxw and modified a little bit -->
 <LevelInfo
- name = "Fancy orxout tests"
- description = "Docking into a spacestation."
+ name = "Scriptable Controller"
+ description = "Showcase for Scriptable Controller"
  tags = "showcase"
  screenshot = "emptylevel.png"
@@ -11,15 +11,8 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
-  include("templates/pickupRepresentationTemplates.oxt")
 ?>
 
 <?lua
-  include("templates/spaceshipAssff.oxt")
-  include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipEscort.oxt")
-  include("templates/bigship.oxt")
-  include("templates/spaceshipTurret.oxt")
-  include("templates/spaceshipCollateralDamage.oxt")
-  include("templates/FPS.oxt")
 ?>
 
@@ -40,159 +33,35 @@
   >
 
-    <?lua
-      include("includes/pickups.oxi")
-    ?>
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0,1.0,1.0,0.5" specular="1.0, 0.9, 0.9, 1.0"/>
 
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0,1.0,1.0,0.5" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="3200,0,0" lookat="2800,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
 
-    <StaticEntity position  = "2800,0,0" mass=10000 collisionType=static >
+    <Billboard position="2500,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=10 />
+    <DistanceTrigger position="2500,0,0" distance="200" target="Pawn"
+      beaconMode="exclude" targetname="bcnDestroyer" name="takeControl"
+    />
+
+    <StaticEntity position  = "2000,500,2000" mass=10000 collisionType=static >
       <attached>
-        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
+        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=10 />
       </attached>
-      <collisionShapes>
-        <BoxCollisionShape  position="-560,0,0" halfExtents="115,100,245" /><!-- Three lower boxes -->
-        <BoxCollisionShape  position="290,0,-480" halfExtents="115,100,245" yaw=-120 />
-        <BoxCollisionShape  position="290,0,480" halfExtents="115,100,245" yaw=-240 />
-        <BoxCollisionShape  position="-280,0,0" halfExtents="163,50,50" /><!-- Three lower connections -->
-        <BoxCollisionShape  position="140,0,-240" halfExtents="163,50,50" yaw=-120 />
-        <BoxCollisionShape  position="140,0,240" halfExtents="163,50,50" yaw=-240 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" /><!-- Upper Tower -->
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-120 />
-        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-240 />
-        <BoxCollisionShape  position="0,400,0" halfExtents="43,110,26" yaw=-30 /><!-- Middle one-->
-        <BoxCollisionShape  position="-200,100,0" halfExtents="26,50,43" /><!--Three lower legs -->
-        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=-30 />
-        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=30 />
-        <BoxCollisionShape  position="-100,264,0" halfExtents="26,105,43" roll=-49 /><!--Three upper legs -->
-        <BoxCollisionShape  position="50,264,-87" halfExtents="26,105,43" roll=-49 yaw=-120 />
-        <BoxCollisionShape  position="50,264,87" halfExtents="26,105,43" roll=-49 yaw=-240 />
-      </collisionShapes>
     </StaticEntity>
 
-<!-- Docking  -->
-    <Dock position="2830,20,50" roll=0 yaw=0 >
-        <animations>
-            <MoveToDockingTarget target="destroyer" />
-        </animations>
-        <effects>
-            <DockToShip target="spaceShip" />
-        </effects>
+    <StaticEntity position  = "-1000,3000,-1000" mass=10000 collisionType=static >
+      <attached>
+        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=80 />
+      </attached>
+    </StaticEntity>
+
+<!-- ControllerDirector waits for the event takeControl to attach a new Controller -->
+    <ControllerDirector position="0,0,0" scriptname="presentation">
         <events>
-            <execute>
-                <EventListener event="dockMe" />
-            </execute>
-
-	    <undocking>
-		<EventListener event="undockMe" />
-	    </undocking>
-	
-            <activity>
-                <EventListener event=notGameEnd />
-            </activity>
+            <takeControl>
+                <EventListener event="takeControl" />
+            </takeControl>
         </events>
-        <attached>
-	<!-- Trigger for docking with billboard -->
-
-		<!-- removed -->
-
-	<!-- Trigger for undocking with billboard -->
-	    <!-- <Billboard position="-2630,-19970,150" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 /> -->
-	    <DistanceTrigger position="-2630,-19970,150" distance="50" target="Pawn"
-                beaconMode="identify" targetname="bcnDestroyer" name="undockMe"
-            />
-        </attached>
-    </Dock>
-
-    <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=100 />
-    <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
-      beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
-    />
-
-
-<!-- Object, which orxouts the message "hello Universe!". EVENT NOT WORKING  -->
-    <ScriptController position="0,0,0">
-        <events>
-            <party>
-                <EventListener event="dockMe" />
-            </party>
-
-        </events>
-
-    </ScriptController>
-
-
-<!-- FPS Player as destination of the dock -->
-<FpsPlayer template = "fps" radarname = "First Person Player" position = "0,-19900,0" >
-      <attached>
-        <DockingTarget name="spaceShip" />
-        <DistanceTriggerBeacon name="bcnDestroyer" />
-        <DockingTarget name="destroyer" />
-      </attached>
-</FpsPlayer>
-
-
-<!-- Cube as test SpaceStation
-
-The station can either be hidden outside of the skybox, within the hull of the space station if it is big enough or within a planet.
-Complex spacestations can be placed very far away from the spaceship so it is rendered at low resolution while the player uses the space ship.
-
--->
-  <StaticEntity position="0,-20000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
-      <attached>
-        <Model position="0,0,0" mesh="crate.mesh" scale3D="80,80,5" />
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="400,400,25" />
-      </collisionShapes>
-  </StaticEntity>
-
-<!-- Homogenous gravitationfield to simulate local gravity (activating the normal gravity will affect the spaceship terribly) -->
-<ForceField position="0,-20000,0" mode="homogen" diameter="2000" forcedirection = "0,-500,0" />
-
-
-<!-- Some more stuff -->
-
-    <!-- triple large belt around the planet  -->
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
-    ?>
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
-    ?>
-    <?lua
-        dofile("includes/asteroidField.lua")
-        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
-    ?>
-
-    <Planet
-      position="15000,0,-1000"
-      scale="5000"
-      collisionType="dynamic"
-      linearDamping="0.8"
-      angularDamping="0"
-      mass="10000000"
-      pitch="0"
-      mesh="planets/ganymede.mesh"
-      atmosphere="atmosphere1"
-      rotationaxis="1,0,0"
-      rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
-      collisiondamage = 2
-      enablecollisiondamage = true
-    >
-      <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="5000" position="0,0,0" />
-      </collisionShapes>
-    </Planet>
+    </ControllerDirector>
 
   </Scene>
-
 </Level>
 
Index: code/trunk/data/levels/simone.oxw
===================================================================
--- code/trunk/data/levels/simone.oxw	(revision 10622)
+++ code/trunk/data/levels/simone.oxw	(revision 10622)
@@ -0,0 +1,37 @@
+<LevelInfo
+ name = "Simone"
+ description = "A level with absolutely nothing in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipRing.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipring />
+    <Model position="0,0,0" mesh="ship.mesh" scale="3"/>
+    
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/templates/enemytowerdefense.oxt
===================================================================
--- code/trunk/data/levels/templates/enemytowerdefense.oxt	(revision 10297)
+++ code/trunk/data/levels/templates/enemytowerdefense.oxt	(revision 10622)
@@ -167,5 +167,5 @@
    maxhealth         = 200
    initialhealth     = 100
-
+   
    shieldhealth        = 30
    initialshieldhealth = 30
Index: code/trunk/data/levels/templates/orbStation.oxt
===================================================================
--- code/trunk/data/levels/templates/orbStation.oxt	(revision 10622)
+++ code/trunk/data/levels/templates/orbStation.oxt	(revision 10622)
@@ -0,0 +1,64 @@
+<Template name=orbStation>
+  <MovableEntity>
+    <attached>
+      
+
+      <MovableEntity rotationaxis = "0,1,0" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ yaw = 0 mesh="OrbStation_Sphere.mesh" scale="40"/>
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity rotationaxis = "1,1,1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_2.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity rotationaxis = "1,1,-1" rotationrate="50,0,0">
+        <attached>
+           <Model position=“0,0,0“ mesh="OrbStation_Ring_3.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity rotationaxis = "-1,1,1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_4.mesh" scale="40" />
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity rotationaxis = "-1,1,-1" rotationrate="50,0,0">
+        <attached>
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_5.mesh" scale="40"/>
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity rotationaxis = "0,1,0" rotationrate="1,0,0">
+        <attached>
+          
+          
+          <Model position=“0,0,0“ mesh="OrbStation_Ring_1.mesh" scale="40" />
+
+          <Model position= "180,0,0" yaw = 0 mesh="OrbStation_Platform.mesh" scale="40"/>
+          <Model position= "0,0,180" yaw = -90 mesh="OrbStation_Platform.mesh" scale="40"/>
+          <Model position= "0,0,-180" yaw = -90 mesh="OrbStation_OpenPlat.mesh" scale="40"/>
+          
+          <Model position= "-200,0,0" yaw = 90 mesh="OrbStation_Antenna.mesh" scale="40"/>          
+          <MovableEntity position= "-305,0,0" rotationaxis = "1,0,0" rotationrate="50,0,0">
+            <attached>
+              <Model position= "0,0,0" yaw = 90 mesh="OrbStation_Parabola.mesh" scale="40"/>
+            </attached>
+          </MovableEntity>
+          
+
+        </attached>
+      </MovableEntity>
+
+
+      <Backlight position="0,0,0" scale=10 colour="0.2, 0.4, 0.8" width=100 length=500 lifetime=0.3 elements=20 trailmaterial="Trail/backlighttrail" material="Examples/Flare" loop=1 />
+
+    </attached>
+  </MovableEntity>
+</Template>
+  
+
Index: code/trunk/data/levels/templates/spaceshipFS15.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipFS15.oxt	(revision 10622)
+++ code/trunk/data/levels/templates/spaceshipFS15.oxt	(revision 10622)
@@ -0,0 +1,125 @@
+<Template name=spaceshipfs15>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipfs15cameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 200
+   maxhealth         = 300
+   initialhealth     = 150
+
+   shieldhealth        = 50
+   initialshieldhealth = 50
+   maxshieldhealth     = 800
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 40
+   auxilaryThrust    = 30
+   rotationThrust    = 35
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 19" template=spaceshipfs15engine />
+      <MultiStateEngine position="-7.6, 0, 19" template=spaceshipfs15engine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="HeartAttack.mesh" />
+      <!--BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 /-->
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0.8,6"      halfExtents="12, 3, 10" />
+        <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+  <BoxCollisionShape position="4.7,1,-8"      halfExtents="2, 3, 5" />
+  <BoxCollisionShape position="-4.7,1,-8"      halfExtents="2, 3, 5" />
+        <BoxCollisionShape position="13.5,1,5"  halfExtents="1.4, 3, 7" />
+  <BoxCollisionShape position="-13.5,1,5"  halfExtents="1.4, 3, 7" />
+  <BoxCollisionShape position="16,2,4"  halfExtents="1.4, 1.5, 4" />
+  <BoxCollisionShape position="-16,2,4"  halfExtents="1.4, 1.5, 4" />
+  <BoxCollisionShape position="-2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+  <BoxCollisionShape position="2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+  <BoxCollisionShape position="5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+  <BoxCollisionShape position="-5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsFS15.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipfs15cameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,12, 48" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipfs15engine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+   
+   accelerationfront     = 420
+   accelerationbrake     = 420
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="4, 1.9, 19" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-4, 1.9, 19" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 4, 1.9, 19" colour="0.6, 0.2, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-4, 1.9, 19" colour="0.6, 0.2, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 4, 1.9, 19" colour="1, 0, 0, 0.5" width=20 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-4, 1.9, 19" colour="1, 0, 0, 1" width=20 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+   <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 4, 1.9, 19" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-4, 1.9, 19" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 4, 1.9, 19" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-4, 1.9, 19" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceshipHeartAttack.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10622)
+++ code/trunk/data/levels/templates/spaceshipHeartAttack.oxt	(revision 10622)
@@ -0,0 +1,125 @@
+<Template name=spaceshipHeartAttack>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipheartattackcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 200
+   maxhealth         = 300
+   initialhealth     = 150
+
+   shieldhealth        = 50
+   initialshieldhealth = 50
+   maxshieldhealth     = 800
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 40
+   auxilaryThrust    = 30
+   rotationThrust    = 35
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+
+   explosionSound = "sounds/Explosion2.ogg"
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 19" template=spaceshipheartattackengine />
+      <MultiStateEngine position="-7.6, 0, 19" template=spaceshipheartattackengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="HeartAttack.mesh" />
+      <!--BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 /-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0.8,6"      halfExtents="12, 3, 10" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="4.7,1,-8"      halfExtents="2, 3, 5" />
+      <BoxCollisionShape position="-4.7,1,-8"      halfExtents="2, 3, 5" />
+      <BoxCollisionShape position="13.5,1,5"  halfExtents="1.4, 3, 7" />
+      <BoxCollisionShape position="-13.5,1,5"  halfExtents="1.4, 3, 7" />
+      <BoxCollisionShape position="16,2,4"  halfExtents="1.4, 1.5, 4" />
+      <BoxCollisionShape position="-16,2,4"  halfExtents="1.4, 1.5, 4" />
+      <BoxCollisionShape position="-2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+      <BoxCollisionShape position="2.8,5,4"  halfExtents="1.4, 1.5, 2" />
+      <BoxCollisionShape position="5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+      <BoxCollisionShape position="-5,5,4.3"  halfExtents="1.4, 1.5, 1.4" />
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsHeartAttack.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipheartattackcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,12, 48" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipheartattackengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+   
+   accelerationfront     = 420
+   accelerationbrake     = 420
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="4, 1.9, 19" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-4, 1.9, 19" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 4, 1.9, 19" colour="0.6, 0.2, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-4, 1.9, 19" colour="0.6, 0.2, 0, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 4, 1.9, 19" colour="1, 0, 0, 0.5" width=20 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-4, 1.9, 19" colour="1, 0, 0, 1" width=20 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+   <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 4, 1.9, 19" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-4, 1.9, 19" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 4, 1.9, 19" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-4, 1.9, 19" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceshipRing.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipRing.oxt	(revision 10622)
+++ code/trunk/data/levels/templates/spaceshipRing.oxt	(revision 10622)
@@ -0,0 +1,110 @@
+<Template name=spaceshipring>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipringcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 4
+
+   health            = 80
+   maxhealth         = 200
+   initialhealth     = 80
+
+   shieldhealth        = 35
+   initialshieldhealth = 35
+   maxshieldhealth     = 60
+   shieldabsorption    = 0.9
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 80
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 0" template=spaceshipringengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipringengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="ship.mesh" />
+      <Model position="11,1,-9" yaw=-90 pitch=0 roll=90 scale=0.15 mesh="ringWeapon.mesh" />
+      <Model position="-11,1,-9" yaw=-90 pitch=0 roll=90 scale=0.15 mesh="ringWeapon.mesh" />
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsRing.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipringcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,15, 60" drag=true mouselook=true />
+      <CameraPosition position="0,20, 90" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipringengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+   speedfront     = 200
+   speedback      =  70
+   speedleftright =  70
+   speedupdown    =  70
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 700
+   accelerationbrake     = 700
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="13, 0, 16" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="-13, 0, 16" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 0, 2, 16" colour="0.2, 1.0, 0.65, 1.0" width=25 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+<Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 13, 0, 16" colour="0.2, 1.0, 0.65, 1.0" width=20 length=1000
+ lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+<Backlight mainstate=activity active=false scale=0.33 name=bltest position=" -13, 0, 16" colour="0.2, 1.0, 0.65, 1.0" width=20 length=1000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 0, 2, 16" colour="0.6, 0.8, 0.75, 0.7" width=35 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/tower.oxt
===================================================================
--- code/trunk/data/levels/templates/tower.oxt	(revision 10297)
+++ 	(revision )
@@ -1,128 +1,0 @@
-<Template name=tower>
-  <TowerDefenseTower
-
-
-   explosionchunks        = 6
-
-   reloadrate          = 3
-   reloadwaittime      = 1
-
-   collisionType     = "dynamic"
-   team = 2
-
-
-  >
-    <controller>
-        <WaypointPatrolController alertnessradius=1000 team=5>
-            <waypoints>
-                <Model mesh="cube.mesh" scale=0 position=" 700, 200, 100" />
-            </waypoints>
-        </WaypointPatrolController>
-    </controller>
-    
-
-
-    <attached>
-        <Model position="0,0,0" scale=45 mesh="Tower.mesh" />
-        
-        
-    </attached>
-
-    <!--collisionShapes>
-
-    </collisionShapes-->
-
-<?lua
-  include("../includes/towerWeaponSettings.oxi")
-?>
-  </TowerDefenseTower>
-</Template>
-
-
-
-<Template name=towerturret>
-  <TowerDefenseTower
-
-
-   explosionchunks        = 6
-
-   reloadrate          = 10
-   reloadwaittime      = 5
-
-   collisionType     = "dynamic"
-   team = 1
-
-
-  >
-  <attached>
-
-    <Model position="0,0,0" scale=45 mesh="Tower.mesh" />
-
-    <Turret reloadrate=10 reloadwaittime=5 collisionType="dynamic" position="0,0,10" direction="0,0,1" pitch="0" yaw="0" roll="0" angularDamping=0.999999 mass=100 maxPitch=90 maxYaw=90 maxAttackRadius=1000 minAttackRadius=30>
-
-      <controller>
-        <TurretController/>
-      </controller>
-      <?lua
-        include("../includes/weaponSettingsTurret.oxi")
-      ?>
-    </Turret>
-    
-  </attached>
-    
-
-
-
-    <!--collisionShapes>
-
-    </collisionShapes-->
-
-<?lua
-  include("../includes/towerWeaponSettings.oxi")
-?>
-  </TowerDefenseTower>
-</Template>
-
-
-
-<Template name=towerturret1>
-  <TowerDefenseTower
-
-
-   explosionchunks        = 6
-
-   reloadrate          = 10
-   reloadwaittime      = 5
-
-   collisionType     = "dynamic"
-   team = 1
-
-
-  >
-  <attached>
-
-
-    <Turret reloadrate=10 reloadwaittime=5 collisionType="dynamic" position="0,0,10" direction="0,0,1" pitch="0" yaw="0" roll="0" angularDamping=0.999999 mass=100 maxPitch=90 maxYaw=90 maxAttackRadius=1000 minAttackRadius=30>
-
-      <controller>
-        <TurretController/>
-      </controller>
-      <?lua
-        include("../includes/weaponSettingsTurret1.oxi")
-      ?>
-    </Turret>
-    
-  </attached>
-    
-
-
-
-    <!--collisionShapes>
-
-    </collisionShapes-->
-
-<?lua
-  include("../includes/towerWeaponSettings.oxi")
-?>
-  </TowerDefenseTower>
-</Template>
Index: code/trunk/data/levels/templates/towerdefensetower.oxt
===================================================================
--- code/trunk/data/levels/templates/towerdefensetower.oxt	(revision 10622)
+++ code/trunk/data/levels/templates/towerdefensetower.oxt	(revision 10622)
@@ -0,0 +1,38 @@
+<Template name=towerdefensetower>
+  <TowerDefenseTower
+
+
+   	explosionchunks        = 6
+	reloadrate=10 
+	reloadwaittime=5 
+	collisionType="none" 
+	pitch="0" 
+	yaw="0" 
+	roll="0" 
+	maxPitch=90 
+	maxYaw=90 
+	maxAttackRadius=1000 
+	minAttackRadius=30
+   	team = 0
+
+
+  >
+  
+     <controller>
+     <TurretController team = 0/>
+  </controller>
+  
+    
+
+
+
+    <!--collisionShapes>
+
+    </collisionShapes-->
+
+
+    <?lua
+      include("../includes/weaponSettingsTurret.oxi")
+    ?>
+  </TowerDefenseTower>
+</Template>
Index: code/trunk/data/levels/towerDefense.oxw
===================================================================
--- code/trunk/data/levels/towerDefense.oxw	(revision 10297)
+++ code/trunk/data/levels/towerDefense.oxw	(revision 10622)
@@ -20,37 +20,25 @@
   include("templates/spaceshipAssff.oxt")
   include("templates/spaceshipPirate.oxt")
-  include("templates/tower.oxt")
+  include("templates/towerdefensetower.oxt")
   include("templates/enemytowerdefense.oxt")
   include("templates/standardTurret.oxt")
 ?>
 
-<!-- Specify the position of the camera -->
-<Template name=centerpointmarkcamera defaults=0>
-  <Pawn team=1>
+
+<Template name=selectercameras defaults=0>
+  <TowerDefenseSelecter>
     <camerapositions>
-      <CameraPosition position="0,0,1500"/>
+      <CameraPosition position="0,0,1400" lookat="0,0,0" absolute=true />
     </camerapositions>
-  </Pawn>
+  </TowerDefenseSelecter>
 </Template>
 
-<!-- Loads a mesh to mark the center-->
-<Template name=centerpointmark>
-  <Pawn team=1 camerapositiontemplate=centerpointmarkcamera>
+<Template name=selectertemplate>
+  <TowerDefenseSelecter team=0 camerapositiontemplate=selectercameras>
     <attached>
-      <Model position="0,0,0" mesh="cylinder.mesh" scale3D="1,1,1" /> <!-- the camera is attached to this -->
+      <Model pitch=90 position="0,0,-30" mesh="TD_Selection.mesh" scale=30 />
     </attached>
-  </Pawn>
+  </TowerDefenseSelecter>
 </Template>
-
-
-<!-- Template for a tower   EDIT: new towertemplate is included with "templates/tower" -->
-<!--Template name=towertemplate>
-  <Tower>
-    <attached>
-      <Model position="0,0,0" scale=0.25 mesh="Tower_ME.mesh" />
-    </attached>
-  </Tower>
-</Template-->
-
 
 
@@ -72,53 +60,28 @@
 
     <!-- Spawns the camera, attached to a crate -->
-    <SpawnPoint team=1 position="0,0,0" spawnclass=Pawn pawndesign=centerpointmark />
-    <!--TeamSpawnPoint team=1 position="-7,7,4" direction="-1,0,0" roll=90 yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
-
-    <!--SpawnPoint team=1 position="0,0,10" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff  /-->
-    <!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff /-->
-
-
-
-
-    <!--invisible entity to attach towers to, since playfield is static and towers are dynamic-->
-    <StaticEntity team =1 position=0,0,0>
-
-        <attached>
-            <Model position="-50,-50,0" mesh="Playfield_ME.mesh" scale=80 />
-            <!-- Base -->
-            <Model position="500,700,100" mesh="sphere.mesh" scale=80 />
-            <!--Model position="0,0,0" mesh="crate.mesh" scale3D="3,3,3" /--> <!-- Only temporary needed to help align the collisionshape -->
-            <!-- This was used to mark the playfield, let's let it be here for now -->
-            <!--Model position="-8,8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
-            <!--Model position="-8,-8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
-            <!--Model position="8,-8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
-            <!--Model position="8,8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
-        </attached>
-        <collisionShapes> <!-- The collisionshape forbids other worldentities that have a collisionShape to fly through it.
-
-                               TODO: Find correct size for the collisionshape; since a collisionShape is invisible
-                               I added the crate wich currently has the same dimensions as the collisionshape.
-                               You have to adjust the crate's scale3D as well as the collisionshape's halfExtens to
-                               find the proper shape. -->
-           <BoxCollisionShape position="0,0,0" halfExtents="400,400,100" />
-        </collisionShapes>
-    </StaticEntity>
-
-
-
+    <SpawnPoint team=0 position="0,0,0"/> 
 
     <!-- PlayField -->
     <TowerDefenseCenterpoint
     name=towerdefensecenter
+
+    selecterTemplate=selectertemplate
+
     width=16
     height=16
     tileScale=100
-    towerTemplate=tower
     position="0,0,0"
     direction="0,0,0"
     collisionType=dynamic
     mass=100000
-    team=1
-    />
+    >
+        <attached>
+            <Model position="-50,-50,0" mesh="Playfield_ME.mesh" scale=80 />
+            <Model position="500,700,100" mesh="sphere.mesh" scale=80 />
+        </attached>
+        <camerapositions>
+      <CameraPosition position="0,0,1500" lookat="0,0,0" absolute=true/>
+    </camerapositions>
+    </TowerDefenseCenterpoint>
 
   </Scene>
Index: code/trunk/data/particle/FieldExplosion.particle
===================================================================
--- code/trunk/data/particle/FieldExplosion.particle	(revision 10622)
+++ code/trunk/data/particle/FieldExplosion.particle	(revision 10622)
@@ -0,0 +1,84 @@
+particle_system Orxonox/FieldExplosion
+
+{
+	material PE/lensflare
+	particle_width 152.940002441406
+	particle_height 154.119995117188
+	quota 2000
+	cull_each false
+	sorted false
+	local_space false
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type texcoord
+	point_rendering false
+	accurate_facing false
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 1.0 0.0 0.0
+		angle 0.0
+		emission_rate 200.0
+		velocity_min -1000.0
+		velocity_max 1000.0
+		time_to_live_min 2.0
+		time_to_live_max 4.0
+		duration_min 0.0
+		duration_max 0.0
+		repeat_delay_min 0.0
+		repeat_delay_max 0.0
+		colour_range_start 1 1 1 1
+		colour_range_end 0.666667 0 0 1
+	}
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 0.0 1.0
+		angle 0.0
+		emission_rate 200.0
+		velocity_min -1000.0
+		velocity_max 1000.0
+		time_to_live_min 2.0
+		time_to_live_max 4.0
+		duration_min 0.0
+		duration_max 0.0
+		repeat_delay_min 0.0
+		repeat_delay_max 0.0
+		colour_range_start 1 1 1 1
+		colour_range_end 0.333333 0 1 1
+	}
+
+	emitter Point
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 1.0 0.0
+		angle 0.0
+		emission_rate 200.0
+		velocity_min -1000.0
+		velocity_max 1000.0
+		time_to_live_min 2.0
+		time_to_live_max 4.0
+		duration_min 0.0
+		duration_max 0.0
+		repeat_delay_min 0.0
+		repeat_delay_max 0.0
+		colour_range_start 1 1 1 1
+		colour_range_end 0 1 0.498039 1
+	}
+
+	affector LinearForce
+	{
+		force_vector 0.0 -45.62 0.0
+		force_application add
+	}
+
+	affector Scaler
+	{
+		rate 16.47
+	}
+	
+}
Index: code/trunk/data/particle/GravityBombField.particle
===================================================================
--- code/trunk/data/particle/GravityBombField.particle	(revision 10622)
+++ code/trunk/data/particle/GravityBombField.particle	(revision 10622)
@@ -0,0 +1,65 @@
+particle_system Orxonox/GravityBombField
+{
+	material PE/lensflare
+	particle_width 33.6500015258789
+	particle_height 1.91999995708466
+	quota 2000
+	cull_each false
+	sorted false
+	local_space true
+	iteration_interval 0.0
+	nonvisible_update_timeout 0.0
+	billboard_type point
+	billboard_origin center
+	billboard_rotation_type vertex
+	point_rendering false
+	accurate_facing false
+
+	emitter HollowEllipsoid
+	{
+		position 0.0 0.0 0.0
+		direction 0.0 1.0 0.0
+		angle 180
+		width 350
+		height 350
+		depth 350
+		inner_width 0.99
+		inner_height 0.99
+		inner_depth 0.99
+		emission_rate 2000
+		velocity_min 0
+		velocity_max 5
+		time_to_live_min 2
+		time_to_live_max 5
+		duration_min 0
+		duration_max 0
+		repeat_delay_min 0
+		repeat_delay_max 0
+		colour_range_start 1 0.666667 0 1
+		colour_range_end 1 0 0 1
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start 0
+		rotation_speed_range_end 0
+		rotation_range_start 0
+		rotation_range_end 180
+	}
+
+	affector ColourInterpolator
+	{
+		time0 0
+		colour0 1 0.666667 0 1
+		time1 0.2
+		colour1 1 0.584314 0 1
+		time2 0.4
+		colour2 1 0 0 1
+		time3 0.6
+		colour3 1 0 0 1
+		time4 0.8
+		colour4 0.666667 0 0 1
+		time5 1
+		colour5 0 0 0 1
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionAfterglow.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionAfterglow.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionAfterglow.particle	(revision 10622)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_afterglow
+{
+	quota	200
+	material	PE/Flare
+	particle_width	40
+	particle_height	40
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	0.664063 0.917969 0.925781 1
+		colour_range_start	0.664063 0.917969 0.925781 1
+		colour_range_end	0.0820313 0.757813 0.980469 1
+		direction	0 1 0
+		emission_rate	700
+		position	0 0 0
+		velocity	20
+		velocity_min	20
+		velocity_max	75
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	5
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	-0.7273
+		green	-0.7049
+		blue	-0.6216
+		alpha	0
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionFlame.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionFlame.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionFlame.particle	(revision 10622)
@@ -0,0 +1,58 @@
+
+particle_system orxonox/explosion_flame
+{
+	quota	500
+	material	PE/bigFlame
+	particle_width	20.52
+	particle_height	20.25
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Box
+	{
+		angle	180
+		colour	1 0.533333 0.0631577 1
+		colour_range_start	1 0.533333 0.0631577 1
+		colour_range_end	0.441667 0 0 1
+		direction	1 0 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	30
+		velocity_min	30
+		velocity_max	80
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	3
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+		width	2
+		height	2
+		depth	2
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	-1
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	-360
+		rotation_speed_range_end	360
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionFlame2.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionFlame2.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionFlame2.particle	(revision 10622)
@@ -0,0 +1,58 @@
+
+particle_system orxonox/explosion_flame2
+{
+	quota	500
+	material	PE/bigFlame
+	particle_width	20.52
+	particle_height	20.25
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Box
+	{
+		angle	180
+		colour	1 0.566667 0.5 1
+		colour_range_start	1 0.566667 0.5 1
+		colour_range_end	1 0.566667 0.5 1
+		direction	1 0 0
+		emission_rate	2000
+		position	0 0 0
+		velocity	30
+		velocity_min	30
+		velocity_max	80
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	3
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+		width	2
+		height	2
+		depth	2
+	}
+
+	affector Scaler
+	{
+		rate	20
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-0.7027
+		alpha	-1
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	-360
+		rotation_speed_range_end	360
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionFlash.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionFlash.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionFlash.particle	(revision 10622)
@@ -0,0 +1,55 @@
+
+particle_system orxonox/explosion_flash
+{
+	quota	50
+	material	orxonox/explosion_flash
+	particle_width	50
+	particle_height	50
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 0 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	0.05
+		time_to_live_min	0.05
+		time_to_live_max	0.05
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	100000
+		repeat_delay_min	100000
+		repeat_delay_max	100000
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	0
+		rotation_speed_range_end	0
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+
+	affector Scaler
+	{
+		rate	1000
+	}
+	
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	-1
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionFlash2.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionFlash2.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionFlash2.particle	(revision 10622)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_flash2
+{
+	quota	50
+	material	orxonox/explosion_flash
+	particle_width	50
+	particle_height	50
+	cull_each	false
+	renderer	billboard
+	billboard_type	point
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	0 0 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	0.05
+		time_to_live_min	0.05
+		time_to_live_max	0.05
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector Rotator
+	{
+		rotation_speed_range_start	0
+		rotation_speed_range_end	0
+		rotation_range_start	0
+		rotation_range_end	360
+	}
+
+	affector Scaler
+	{
+		rate	100
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionShockwave.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionShockwave.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionShockwave.particle	(revision 10622)
@@ -0,0 +1,48 @@
+
+particle_system orxonox/explosion_shockwave
+{
+	quota	4000
+	material	orxonox/explosion_shockwave
+	particle_width	20
+	particle_height	20
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_common
+	common_direction	0 0.25 0.5
+
+	emitter Point
+	{
+		angle	0
+		colour	0.441667 0.441667 0.441667 1
+		colour_range_start	0.441667 0.441667 0.441667 1
+		colour_range_end	0.441667 0.441667 0.441667 1
+		direction	0 1 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	1
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	100000
+		repeat_delay_min	100000
+		repeat_delay_max	100000
+	}
+
+	affector Scaler
+	{
+		rate	500
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	0
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionShockwave2.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionShockwave2.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionShockwave2.particle	(revision 10622)
@@ -0,0 +1,48 @@
+
+particle_system orxonox/explosion_shockwave2
+{
+	quota	4000
+	material	orxonox/explosion_shockwave
+	particle_width	20
+	particle_height	20
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_common
+	common_direction	0 0.25 0.5
+
+	emitter Point
+	{
+		angle	0
+		colour	0.85 0.85 1 1
+		colour_range_start	0.85 0.85 1 1
+		colour_range_end	0.85 0.85 1 1
+		direction	0 1 0
+		emission_rate	10
+		position	0 0 0
+		velocity	0
+		velocity_min	0
+		velocity_max	0
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	1
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector Scaler
+	{
+		rate	500
+	}
+
+	affector ColourFader
+	{
+		red	-1
+		green	-1
+		blue	-1
+		alpha	0
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionSparks.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionSparks.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionSparks.particle	(revision 10622)
@@ -0,0 +1,42 @@
+
+particle_system orxonox/explosion_sparks
+{
+	quota	2000
+	material	PE/explosion
+	particle_width	1.5
+	particle_height	12.33
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	-0.684313 -0.325257 0.652628
+		emission_rate	1000
+		position	0 0 0
+		velocity	100
+		velocity_min	100
+		velocity_max	200
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	0.5
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	100000
+		repeat_delay_min	100000
+		repeat_delay_max	100000
+	}
+
+	affector ColourFader
+	{
+		red	0.2432
+		green	-1
+		blue	-1
+		alpha	-1
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionSparks2.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionSparks2.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionSparks2.particle	(revision 10622)
@@ -0,0 +1,42 @@
+
+particle_system orxonox/explosion_sparks2
+{
+	quota	2000
+	material	PE/explosion
+	particle_width	1.5
+	particle_height	13.98
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	1 1 1 1
+		colour_range_start	1 1 1 1
+		colour_range_end	1 1 1 1
+		direction	-0.684313 -0.325257 0.652628
+		emission_rate	1000
+		position	0 0 0
+		velocity	150
+		velocity_min	150
+		velocity_max	200
+		time_to_live	0.2
+		time_to_live_min	0.2
+		time_to_live_max	0.75
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	0.2432
+		green	-1
+		blue	-1
+		alpha	-1
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionStreak1.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionStreak1.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionStreak1.particle	(revision 10622)
@@ -0,0 +1,42 @@
+
+particle_system orxonox/explosion_streak1
+{
+	quota	4000
+	material	orxonox/explosion_streak1
+	particle_width	12.15
+	particle_height	82.13
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	0.191667 0.191667 0.191667 1
+		colour_range_start	0.191667 0.191667 0.191667 1
+		colour_range_end	0.191667 0.191667 0.191667 1
+		direction	0 1 0
+		emission_rate	400
+		position	0 0 0
+		velocity	30
+		velocity_min	30
+		velocity_max	100
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	2
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	-0.2
+		green	-0.2
+		blue	-0.2
+		alpha	0
+	}
+}
Index: code/trunk/data/particle/orxonox_explosionStreak2.particle
===================================================================
--- code/trunk/data/particle/orxonox_explosionStreak2.particle	(revision 10622)
+++ code/trunk/data/particle/orxonox_explosionStreak2.particle	(revision 10622)
@@ -0,0 +1,47 @@
+
+particle_system orxonox/explosion_streak2
+{
+	quota	4000
+	material	orxonox/explosion_streak1
+	particle_width	14
+	particle_height	75
+	cull_each	false
+	renderer	billboard
+	billboard_type	oriented_self
+
+	emitter Point
+	{
+		angle	180
+		colour	0.466667 0.341667 0.216667 1
+		colour_range_start	0.466667 0.341667 0.216667 1
+		colour_range_end	0.466667 0.341667 0.216667 1
+		direction	0 1 0
+		emission_rate	400
+		position	0 0 0
+		velocity	50
+		velocity_min	50
+		velocity_max	80
+		time_to_live	1
+		time_to_live_min	1
+		time_to_live_max	2
+		duration	0.1
+		duration_min	0.1
+		duration_max	0.1
+		repeat_delay	20
+		repeat_delay_min	20
+		repeat_delay_max	20
+	}
+
+	affector ColourFader
+	{
+		red	-0.3
+		green	-0.25
+		blue	-0.2
+		alpha	0
+	}
+
+	affector Scaler
+	{
+		rate	10
+	}
+}
